Package org.eclipse.ui.views.navigator

## Class SortAndFilterActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
    - - org.eclipse.ui.views.navigator.SortAndFilterActionGroup

    @Deprecated
    public class SortAndFilterActionGroup
    extends ResourceNavigatorActionGroup

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead
This is the action group for the sort and filter actions.

### Field Summary

### Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

`navigator`

### Constructor Summary

Constructors
`SortAndFilterActionGroup​(IResourceNavigator navigator)` Deprecated. Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `fillActionBars​(IActionBars actionBars)` Deprecated. Adds the applicable actions to a part's action bars, including setting any global action handlers.
`protected void` `makeActions()` Deprecated. Makes the actions contained in this action group.
`void` `updateActionBars()` Deprecated. Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

### Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

`getImageDescriptor, getNavigator, handleKeyPressed, runDefaultAction`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`dispose, fillContextMenu, getContext, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SortAndFilterActionGroup

    public SortAndFilterActionGroup​(IResourceNavigator navigator)

Deprecated.
Constructor.

Parameters:
  `navigator` -

### Method Detail

#### makeActions

    protected void makeActions()

Deprecated.
Description copied from class: `ResourceNavigatorActionGroup`
Makes the actions contained in this action group.

Specified by:
  `makeActions` in class `ResourceNavigatorActionGroup`

#### fillActionBars

    public void fillActionBars​(IActionBars actionBars)

Deprecated.
Description copied from class: `ActionGroup`
Adds the applicable actions to a part's action bars, including setting any global action handlers.

The default implementation does nothing. Subclasses may override or extend this method.

Overrides:
  `fillActionBars` in class `ActionGroup`
Parameters:
  `actionBars` - the part's action bars

#### updateActionBars

    public void updateActionBars()

Deprecated.
Description copied from class: `ActionGroup`
Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

The default implementation does nothing. Subclasses may override or extend this method.

Overrides:
  `updateActionBars` in class `ActionGroup`